﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.85
@EndOfDesignText@
#Region Shared Files
#CustomBuildAction: folders ready, %WINDIR%\System32\Robocopy.exe,"..\..\Shared Files" "..\Files"
'Ctrl + click to sync files: ide://run?file=%WINDIR%\System32\Robocopy.exe&args=..\..\Shared+Files&args=..\Files&FilesSync=True
#End Region

'Ctrl + click to export as zip: ide://run?File=%B4X%\Zipper.jar&Args=Project.zip

Sub Class_Globals
	Private Root As B4XView
	Private xui As XUI
	
	Private MediaManager As SimpleMediaManager
	
	Private Pnl1 As B4XView
	Private pnl2 As B4XView
	
	
	Private BBCodeView1 As BBCodeView
	Private TextEngine As BCTextEngine
	Dim str As String


	Private lblEnterFullScreen As B4XView
	Private VideoWidth, VideoHeight As Int
	Public SimpleExoPlayerView2 As SimpleExoPlayerView
	Public Player2 As SimpleExoPlayer
End Sub

Public Sub Initialize
	B4XPages.GetManager.LogEvents = True
End Sub


'This event will be called once, before the page becomes visible.
Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1


	Root.LoadLayout("MainPage")
	
	
	TextEngine.Initialize(Root) 'root
	BBCodeView1.TextEngine = TextEngine
		
	MediaManager.Initialize
	
	MediaManager.AddLocalMedia(MediaManager.KEY_DEFAULT_ERROR, xui.LoadBitmap(File.DirAssets, "error.jpg"), "image/*")
	MediaManager.DefaultErrorRequest.Extra.Put(MediaManager.REQUEST_BACKGROUND, xui.Color_White)

	MediaManager.AddLocalMedia(MediaManager.KEY_DEFAULT_LOADING, File.ReadBytes(File.DirAssets, "loading.gif"), "image/gif")
	
	'TextEngine.Initialize(B4XPages.GetNativeParent(Me)) '
	
	
	
	Pnl1 = xui.CreatePanel("")
	Pnl1.SetLayoutAnimated(0, 0, 0, Root.Width, 40%y)
	'Pnl1.LoadLayout("panelsmm1")
	' This adds panel to clv1
	MediaManager.SetMedia(Pnl1, "https://player.vimeo.com/external/354886143.hd.mp4?s=2e182d1b22282a63a9533ffda5bb0b2295cdb8e6&profile_id=175")

	BBCodeView1.Views.Put("clv1g", Pnl1)
	
	Sleep(50)
	pnl2  = xui.CreatePanel("")
	pnl2.SetLayoutAnimated(0, 0, 42%y, Root.Width, 40%y)
	'pnl2.LoadLayout("panelsmm2")
	' This adds panel to clv1
	MediaManager.SetMediaWithExtra(pnl2,"https://player.vimeo.com/external/354886143.hd.mp4","video/*", CreateMap(MediaManager.REQUEST_CALLBACK: Me))
'	MediaManager.SetMediaFromFile(pnl2, File.DirAssets,"2.mp4","video/*",CreateMap(MediaManager.REQUEST_CALLBACK: Me))
	BBCodeView1.Views.Put("clv2g", pnl2)
	
	Wait For (pnl2) SMM_MediaReady (Success As Boolean, Media As SMMedia)
	Log (Success)
	
	SimpleExoPlayerView2  = pnl2.GetView(0).GetView(0)
'	SimpleExoPlayerView1.UseController = False
	Player2 = SimpleExoPlayerView2.Tag
	'		player.Play
	
	lblEnterFullScreen.Visible = False
	Sleep(1000)
		
	Dim VideoFormat As JavaObject = Player2
	Log(VideoFormat.IsInitialized)
	VideoFormat = VideoFormat.GetFieldJO("player").RunMethod("getVideoFormat", Null)
	Log(VideoFormat.IsInitialized)

	If VideoFormat.IsInitialized Then
		VideoWidth = VideoFormat.GetField("width")
		VideoHeight = VideoFormat.GetField("height")
		lblEnterFullScreen.Visible = True
	End If
'	PutLabelInVideoTopRightCorner
	PutLabelInVideoTopRightCorner2
'		
'		
'		
'	
'			
	str =  $"${CRLF}[view=clv1g/]${CRLF}${CRLF}[view=clv2g/]"$
	
	
	

	Try
		BBCodeView1.Text = $"Please choose one of the following options: And more text here........${CRLF}${str}${CRLF}"$
		
	Catch
		Log("Error=" & LastException.Message)
'		Sleep(300)
	End Try
	
	
End Sub

Public Sub PutLabelInVideoTopRightCorner
	Dim PlayerRatio As Float = SimpleExoPlayerView2.Width / SimpleExoPlayerView2.Height
	Dim VideoRatio As Float = VideoWidth / VideoHeight
	Dim scale As Float = IIf(PlayerRatio > VideoRatio, SimpleExoPlayerView2.Height / VideoHeight, SimpleExoPlayerView2.Width / VideoWidth)
	lblEnterFullScreen.Top = SimpleExoPlayerView2.Top + SimpleExoPlayerView2.Height / 2 - VideoHeight / 2 * scale
	lblEnterFullScreen.Left = SimpleExoPlayerView2.Left + SimpleExoPlayerView2.Width / 2 + VideoWidth / 2 * scale - lblEnterFullScreen.Width
End Sub

Public Sub PutLabelInVideoTopRightCorner2
	Dim PlayerRatio As Float = pnl2.Width / pnl2.Height
	Dim VideoRatio As Float = VideoWidth / VideoHeight
'	
	Dim scale As Float = IIf(PlayerRatio > VideoRatio, pnl2.Height / VideoHeight, pnl2.Width / VideoWidth)
	Dim left As Float = pnl2.Left + pnl2.Width / 2 + VideoWidth / 2 * scale - lblEnterFullScreen.Width
	lblEnterFullScreen.RemoveViewFromParent
	pnl2.AddView(lblEnterFullScreen,left,7dip,lblEnterFullScreen.Width,lblEnterFullScreen.Height)
End Sub
Private Sub lblEnterFullScreen_Click
	Log("Full Screen")
	StartActivity(FullScreen)
End Sub




